Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TSS_Adapter.h File Reference

`#include "ace/ACE_export.h"`

Include dependency graph for TSS_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_TSS_Adapter
| This class encapsulates a TSS object and its associated C++ destructor function. It is used by the ACE_TSS... methods (in Synch_T.cpp) in order to allow an extern "C" cleanup routine to be used. Needed by the "frigging" MVS C++ compiler. More...

## Detailed Description

Id
  TSS_Adapter.h,v 4.3 2005/12/08 20:21:35 ossama Exp

Originally in Synch.h

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>